// JavaScript Document
$(function(){
	
	$(".vDown1").hover(
	  function () {
	    $(this).addClass("vDown1 vDownH");
		$(".vDownL").css("display","block");
	  },
	  function () {
	    $(this).removeClass("vDown1 vDownH").addClass("vDown1");
		$(".vDownL").css("display","none");
	  }
	);

	/*去掉点击链接虚线 开始*/
	$('a,input[type="button"],input[type="submit"]').bind('focus',function(){
		if(this.blur){ //如果支持 this.blur
			this.blur();
		};
	});
	/*去掉点击链接虚线 结束*/
	String.prototype.trim=function() {
		return this.replace(/(^\s*)|(\s*$)/g,'');
	};
	/*搜索提示鼠标经过行的样式开始*/
	$("#pull_down li").hover(
	function(){
		$(this).addClass("bg_blue").find("span.text_blue").css("color", "while");;
	},
	function(){
		$(this).removeClass("bg_blue");
	});
	/*搜索提示鼠标经过行的样式结束*/

	/*简明释义内间距控制开始*/
	$(".dict_content .group_prons:first").addClass("margin_top");
	/*简明释义内间距控制结束*/

	/*简明释义 与 柯林斯词典显示与隐藏开始*/
	var _object_s = $('.simple .tab_list > a');
	$("#up_simple").toggle(function(){
	  $(".dict_content").hide();
	  $(_object_s).removeClass("up").addClass("down");
	},function(){
	  $("#dict_content_"+ICB.simple_tab_id).show();
	  $(_object_s).removeClass("down").addClass("up");
	})

	var _object_c = $('#up_collins');
	$("#up_collins").click(function(){
		if($(this).attr("class")=="up"){
			$(".tab_content").hide();
			$(_object_c).removeClass("up").addClass("down");
		}else{
			$("#dict_tab_"+ICB.dict_tab_id).show();
			$(_object_c).removeClass("down").addClass("up");
		}
	});
	/*现代英汉词典页面*/
	var _object_cxbh = $('#up_cxbh');
	$("#up_cxbh").click(function(){
		if($(this).attr("class")=="up"){
		  $("#tab_cxbh").hide();
		  $(_object_cxbh).removeClass("up").addClass("down");
		}else{
			 $("#tab_cxbh").show();
	  		 $(_object_cxbh).removeClass("down").addClass("up");
		}
	});

	var _object_jcyf = $('#up_jcyf');
	$("#up_jcyf").click(function(){
		if($(this).attr("class")=="up"){
		  $("#tab_jcyf").hide();
		  $(_object_jcyf).removeClass("up").addClass("down");
		}else{
			 $("#tab_jcyf").show();
	  		 $(_object_jcyf).removeClass("down").addClass("up");
		}
	});	
	var _object_ckch = $('#up_ckch');
	$("#up_ckch").click(function(){
		if($(this).attr("class")=="up"){
		  $("#tab_ckch").hide();
		  $(_object_ckch).removeClass("up").addClass("down");
		}else{
			 $("#tab_ckch").show();
	  		 $(_object_ckch).removeClass("down").addClass("up");
		}
	});	
	var _object_xgyy = $('#up_xgyy');
	$("#up_xgyy").click(function(){
		if($(this).attr("class")=="up"){
		  $("#tab_xgyy").hide();
		  $(_object_xgyy).removeClass("up").addClass("down");
		}else{
			 $("#tab_xgyy").show();
	  		 $(_object_xgyy).removeClass("down").addClass("up");
		}
	});	
	var _object_tsyf = $('#up_tsyf');
	$("#up_tsyf").click(function(){
		if($(this).attr("class")=="up"){
		  $("#tab_tsyf").hide();
		  $(_object_tsyf).removeClass("up").addClass("down");
		}else{
			 $("#tab_tsyf").show();
	  		 $(_object_tsyf).removeClass("down").addClass("up");
		}
	});	
	/*	$("#up_collins").toggle(function(){
	$(".tab_content").hide();
	$(_object_c).removeClass("up").addClass("down");
	},function(){
	$("#dict_tab_"+ICB.dict_tab_id).show();
	$(_object_c).removeClass("down").addClass("up");
	})*/
	/*简明释义 与 柯林斯词典显示与隐藏结束*/

	/*柯林斯词典TAB切换开始*/
	$(".tab_content").hide();
	$(".tab_content:first").show();

	ICB.dict_tab_id = $("#tab_dict").find("li.current").attr("tid");
	$("#tab_dict").find("li.current").addClass("begin");
	$("#tab_dict li").click(function(){
		var tid = $(this).attr("tid");
//		alert(1);
		ICB.dict_tab_id = tid;
		$(this).addClass("current");
		$(this).siblings().removeClass("current");
		$("#up_collins").attr("class","up");
		var i=$('#tab_dict li').index(this);
		$(".tab_content").eq(i).show().siblings(".tab_content").hide();
	},function(){
	})
	/*柯林斯词典TAB切换结束*/

	/*收起/展开所有例句 开始*/
	/*	$(".button_expan").click(function(){
	if($(".button_expan a").attr("class")=="button_close"){
	$(".ct_example").hide();
	$(".button_expan a").removeClass("button_close");
	$(".def_list h4").removeClass("bg_down");
	}else{
	$(".ct_example").show();
	$(".button_expan a").addClass("button_close");
	$(".def_list h4").addClass("bg_down");
	}
	})*/


	$(".word_group .button_expan").toggle(function(){
		$(".word_group .ct_example").show();
		$(".word_group .button_expan a").addClass("button_close");
		$(".word_group .def_list h4").addClass("bg_down");
	},function(){
		$(".word_group .ct_example").hide();
		$(".word_group .button_expan a").removeClass("button_close");
		$(".word_group .def_list h4").removeClass("bg_down");
	});

	$("#dict_tab_2 .button_expan").click (function(){
		if($("#dict_tab_2 .button_expan a").attr("class")=="button_close"){
			setCookie("ee_more_info_open","0","365",'iciba.com','/');
			$("#dict_tab_2 .ct_example").hide();
			$("#dict_tab_2 .button_expan a").removeClass("button_close");
			$("#dict_tab_2 .def_list h4").removeClass("bg_down");
		}else{

			setCookie("ee_more_info_open","1","365",'iciba.com','/');
			$("#dict_tab_2 .ct_example").show();
			$("#dict_tab_2 .button_expan a").addClass("button_close");
			$("#dict_tab_2 .def_list h4").addClass("bg_down");
		}
	});
	$("#dict_tab_1 .button_expan").click (function(){
		if($("#dict_tab_1 .button_expan a").attr("class")=="button_close"){
			$("#dict_tab_1 .ct_example").hide();
			$("#dict_tab_1 .button_expan a").removeClass("button_close");
			$("#dict_tab_1 .def_list h4").removeClass("bg_down");
		}else{
			$("#dict_tab_1 .ct_example").show();
			$("#dict_tab_1 .button_expan a").addClass("button_close");
			$("#dict_tab_1 .def_list h4").addClass("bg_down");
		}
	});


	/*收起/展开所有例句 结束*/

	/*简明释义TAB切换开始*/
	$(".dict_content").hide();
	$(".dict_content:first").show();

	$("#tab_list li").click(function(){
	
		var tid = $(this).attr("tid");
		ICB.simple_tab_id = tid;
		$(this).addClass("current");
		$(this).siblings().removeClass("current");
		$("#up_simple").attr("class","up");
		var i=$('.tab_list li').index(this);
		$(".dict_content").eq(i).show().siblings(".dict_content").hide();
	},function(){
	})
	/*简明释义TAB切换结束*/
	
	//英汉词典
	$(".button_expan_yh").toggle(function(){
	  $(".ct_example_yh").show();
	  $(".button_expan_yh a").addClass("button_close");
	  $(".def_list_yh h4").addClass("bg_down");
	},function(){
	  $(".ct_example_yh").hide();
	  $(".button_expan_yh a").removeClass("button_close");
	  $(".def_list_yh h4").removeClass("bg_down");
	});	
	$(".menu_switch").click(function(){
		var cobj = $(this);
		var mid = cobj.attr('mid');
		var pobj = $("#menu_"+mid);
		if (cobj.hasClass("close")) {
			cobj.removeClass("close").addClass("open");
			pobj.addClass("hidden");
		} else {
			cobj.removeClass("open").addClass("close");
			pobj.removeClass("hidden");
		}
	});

	$(".sentence_switch").click(function(){
		var cobj = $(this);
		var sid = cobj.attr('sid');
		if (cobj.hasClass("example")) {
			cobj.removeClass("example").addClass("example_up");
			$(".sentence_"+sid).show();
		} else {
			cobj.removeClass("example_up").addClass("example");
			$(".sentence_"+sid).hide();
		}
	});
	$(".cx_mean_switch").live('click',function(){
		var cobj = $(this);
		var sid = cobj.attr("sid");
		var pobj = $("#ct_example_"+sid);
		if (pobj.css('display') == 'none') {
			cobj.addClass("bg_down");
			pobj.show();
		} else {
			cobj.removeClass("bg_down");
			pobj.hide();
		}

	});
	
	/*今日新词*/
	$(".words_main").hide();
		$(".words_main:first").show();
		$(".word_nav li").hover(function(){
		$(this).siblings().removeClass("current");
		$(this).addClass("current");
		var i=$('.word_nav li').index(this);
		$(".words_main").eq(i).show().siblings(".words_main").hide();
		},function(){
		})

	//查看更多
	$("#cizi_show_more").live('click',function(){
		var cobj = $(this);
		if (cobj.html()=="查看更多"){
			$(".dd_hide").show();
			cobj.html("收起更多");
			$("#cizi_see_more").removeClass("show_more").addClass("up_more");
		}else{
			$(".dd_hide").hide();
			cobj.html("查看更多");
			scrollTo(0,0);
			$("#cizi_see_more").removeClass("up_more").addClass("show_more");
		}


	});
	$("#chongfan_show_more").live('click',function(){
		var cobj = $(this);
		if (cobj.html()=="查看更多"){
			$(".dl_hide").show();
			$(".show_hidden").show();
			cobj.html("收起更多");
			$("#chongfan_see_more").removeClass("show_more").addClass("up_more");
		}else{
			$(".show_hidden").hide();
			$(".dl_hide").hide();
			cobj.html("查看更多");
			scrollTo(0,0);
			$("#chongfan_see_more").removeClass("up_more").addClass("show_more");
		}


	});
	//英汉词典
	$(".button_expan_yh").toggle(function(){
	  $(".ct_example_yh").show();
	  $(".button_expan_yh a").addClass("button_close");
	  $(".def_list_yh h4").addClass("bg_down");
	},function(){
	  $(".ct_example_yh").hide();
	  $(".button_expan_yh a").removeClass("button_close");
	  $(".def_list_yh h4").removeClass("bg_down");
	});	
	
	/*收起/展开所有例句 结束*/
	


});

function showTips(tipType, tid) {
	$("#"+tipType+"_"+tid).show();
}

function closeTips(tipType, tid) {
	$("#"+tipType+"_"+tid).hide();
}
